org.apache.tomcat.util.http.mapper

## Class MappingData

- java.lang.Object
- - org.apache.tomcat.util.http.mapper.MappingData

    public class MappingData
    extends Object

Mapping data.

Author:
  Remy Maucherat

### Field Summary

Fields
`Object` `context`
`MessageBytes` `contextPath`
`Object[]` `contexts`
`int` `contextSlashCount`
`Object` `host`
`boolean` `jspWildCard`
`MessageBytes` `pathInfo`
`MessageBytes` `redirectPath`
`MessageBytes` `requestPath`
`Object` `wrapper`
`MessageBytes` `wrapperPath`

### Constructor Summary

Constructors
Constructor and Description
`MappingData()`

### Method Summary

Methods
`void` `recycle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### host

    public Object host

#### context

    public Object context

#### contextSlashCount

    public int contextSlashCount

#### contexts

    public Object[] contexts

#### wrapper

    public Object wrapper

#### jspWildCard

    public boolean jspWildCard

#### contextPath

    public MessageBytes contextPath

#### requestPath

    public MessageBytes requestPath

#### wrapperPath

    public MessageBytes wrapperPath

#### pathInfo

    public MessageBytes pathInfo

#### redirectPath

    public MessageBytes redirectPath

### Constructor Detail

#### MappingData

    public MappingData()

### Method Detail

#### recycle

    public void recycle()